Name: mate-compiz
Summary: 3D stuff for MATE
Version: 0.9.12.1
Release: %mkrel 2
Group:	 Graphical desktop/Mate
License: GPLv2+
URL: https://launchpad.net/compiz
Source0: %name-%version.tar.xz
Source1:	compiz.defaults
Source2:	compiz-fusion
Source3:	compiz-fusion.defaults
Source4: start-mate-compiz.desktop
Patch0: compiz-0.9.12.patch
#-------------------------------------------------
BuildRequires: metacity-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}dbus-1-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glibmm2.4-devel 
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}jpeg-devel 
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}protobuf-devel 
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qtwebkit4-devel 
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}sigc++2.0_0-devel 
BuildRequires: %{_lib}sm-devel 
BuildRequires: %{_lib}startup-notification-1-devel 
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xcomposite-devel 
BuildRequires: %{_lib}xdamage-devel 
BuildRequires: %{_lib}xext-devel 
BuildRequires: %{_lib}xfixes-devel 
BuildRequires: %{_lib}xi-devel 
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xrandr2-devel 
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xslt-devel 
BuildRequires: %{_lib}wnck3-devel
BuildRequires:  libstdc++-devel 
BuildRequires:  libxcb-devel 
BuildRequires:  mesa-devel 
BuildRequires:  x11-proto-devel
BuildRequires:  zlib1-devel
#-------------------------------------------------

%description
MATE Compiz eyecandy.

%package devel
Summary: 3D stuff for MATE
Group: Development/Libraries
Requires: %name

%description devel
Development files for %name

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags} -Wno-error=cpp"
%cmake	-DCOMPIZ_PACKAGING_ENABLED=ON \
		-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON \
		-DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON \
		-DCOMPIZ_BUILD_WITH_RPATH=OFF \
		-DCOMPIZ_UNUSED_PRIVATE_FIELD_WARNINGS=ON \
		-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas \
		-DBUILD_SHARED_LIBS:BOOL=OFF

%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

%__install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/compiz.defaults
%__install -m755 %{SOURCE2} %{buildroot}%{_bindir}/compiz-fusion
%__install -m644 %{SOURCE3} %{buildroot}%{_datadir}/compositing-wm/compiz-fusion.defaults
%__install -D -m644 %{SOURCE4} %{buildroot}%{_datadir}/applications/start-mate-compiz.desktop
ln -s %{_bindir}/compiz-decorator %{buildroot}/%{_bindir}/compiz-window-decorator

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%{_bindir}/ccsm
%{_bindir}/compiz
%{_bindir}/compiz-decorator
%{_bindir}/compiz-window-decorator
%{_bindir}/gtk-window-decorator
%{_bindir}/compiz-fusion
   
%{_libdir}/compiz/*.so
%{_libdir}/compizconfig/backends/*.so


%{_libdir}/libcompiz_core.so.0.9.*
%{_libdir}/libcompiz_core.so.ABI*

%{_libdir}/libcompizconfig.so.0
%{_libdir}/libcompizconfig.so.0.0.0

%{_libdir}/libcompizconfig_gsettings_backend.so

%{_libdir}/libdecoration.so.0
%{_libdir}/libdecoration.so.0.0.0

%{_datadir}/applications/ccsm.desktop
%{_datadir}/applications/compiz.desktop
%{_datadir}/ccsm/icons

%{_datadir}/ccsm/images/display.png
%{_datadir}/ccsm/images/modifier.png

%{_datadir}/compiz/*.xml
%{_datadir}/compiz/cube/images/freedesktop.png
%{_datadir}/compiz/cubeaddon/images/compizcap.png
%{_datadir}/compiz/cubeaddon/images/cubecap_release.png
%{_datadir}/compiz/cubeaddon/images/fusioncap.png
%{_datadir}/compiz/icon.png
%{_datadir}/compiz/mag/images/Gnome/image.svg
%{_datadir}/compiz/mag/images/Gnome/mask.png
%{_datadir}/compiz/mag/images/Gnome/overlay.png
%{_datadir}/compiz/mag/images/Oxygen/image.svg
%{_datadir}/compiz/mag/images/Oxygen/mask.png
%{_datadir}/compiz/mag/images/Oxygen/overlay.png
%{_datadir}/compiz/notification/images/compiz.png
%{_datadir}/compiz/showmouse/images/Star.png
%{_datadir}/compiz/splash/images/splash_background.png
%{_datadir}/compiz/splash/images/splash_logo.png
%{_datadir}/compiz/staticswitcher.xml
%{_datadir}/compiz/xslt/bcop.xslt
%{_datadir}/compiz/xslt/compiz_gconf_schemas.xslt
%{_datadir}/compiz/xslt/compiz_gsettings_schemas.xslt
%{_datadir}/icons
%{_datadir}/locale

/usr/lib/python2.7
#/usr/lib64/python2.7/site-packages/compizconfig.so

%{_datadir}/compiz/scale/images/*.png
%{_datadir}/compositing-wm/compiz-fusion.defaults
%{_datadir}/compositing-wm/compiz.defaults
%{_datadir}/applications/start-mate-compiz.desktop

%{_sysconfdir}/gconf/schemas/*.schemas
#%{_datadir}/glib-2.0/schemas

%files devel
%{_includedir}
%{_libdir}/libcompiz_core.so
%{_libdir}/libcompizconfig.so
%{_libdir}/libdecoration.so

%{_datadir}/cmake-3.0/FindCompiz.cmake
%{_datadir}/cmake-3.0/FindCompizConfig.cmake
%{_datadir}/cmake-3.0/FindOpenGLES2.cmake

%{_datadir}/compiz/cmake/CompizBcop.cmake
%{_datadir}/compiz/cmake/CompizCommon.cmake
%{_datadir}/compiz/cmake/CompizDefaults.cmake
%{_datadir}/compiz/cmake/CompizGSettings.cmake
%{_datadir}/compiz/cmake/CompizGconf.cmake
%{_datadir}/compiz/cmake/CompizPackage.cmake
%{_datadir}/compiz/cmake/CompizPlugin.cmake
%{_datadir}/compiz/cmake/LibCompizConfigCommon.cmake
%{_datadir}/compiz/cmake/copy_file_install_user_env.cmake
%{_datadir}/compiz/cmake/plugin_extensions/CompizGenGSettings.cmake
%{_datadir}/compiz/cmake/plugin_extensions/CompizGenGconf.cmake
%{_datadir}/compiz/cmake/plugin_extensions/CompizGenInstallData.cmake
%{_datadir}/compiz/cmake/plugin_extensions/CompizGenInstallImages.cmake
%{_datadir}/compiz/cmake/plugin_extensions/CompizOpenGLFixups.cmake
%{_datadir}/compiz/cmake/recompile_gsettings_schemas_in_dir_user_env.cmake

%{_libdir}/pkgconfig/compiz-animation.pc
%{_libdir}/pkgconfig/compiz-compiztoolbox.pc
%{_libdir}/pkgconfig/compiz-composite.pc
%{_libdir}/pkgconfig/compiz-cube.pc
%{_libdir}/pkgconfig/compiz-mousepoll.pc
%{_libdir}/pkgconfig/compiz-opengl.pc
%{_libdir}/pkgconfig/compiz-scale.pc
%{_libdir}/pkgconfig/compiz-text.pc
%{_libdir}/pkgconfig/compiz.pc
%{_libdir}/pkgconfig/compizconfig-python.pc
%{_libdir}/pkgconfig/libcompizconfig.pc
%{_libdir}/pkgconfig/libdecoration.pc

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%changelog
* Sat May 09 2015 bb <bb> 9.12.1-2pclos2015
- add metacity theme support

* Wed May 06 2015 bb <bb> 9.12.1-1pclos2015
- import into pclos for MATE
